<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('reformes', function (Blueprint $table) {
            $table->id();
            $table-> string('libelle'); 
            $table-> Date('date_debut');
            $table-> Integer('annee_debut');
            $table-> Integer('annee_fin')->nullable();
            $table-> Integer('ordre_min')->nullable();
            $table-> Integer('ordre_max')->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('reformes');
    }
};
